    ;-----------------------------------;
    ; Nintendo e-Reader - API functions ;
    ;-----------------------------------;

    ; RST 0
    ERAPI_FadeIn                   = 0x00
    ERAPI_LoadBackgroundSystem     = 0x10
    ERAPI_SetBackgroundOffset      = 0x11
    ERAPI_SetBackgroundAutoScroll  = 0x12
    ERAPI_SetBackgroundMode        = 0x19
    ERAPI_LoadBackgroundCustom     = 0x2D
    ERAPI_SetSpritePos             = 0x32
    ERAPI_SpriteCreate             = 0x4D
    ERAPI_SpriteAutoScaleUntilSize = 0x5B
    ERAPI_SetBackgroundPalette     = 0x7E
    ERAPI_CreateRegion             = 0x90
    ERAPI_SetRegionColor           = 0x91
    ERAPI_ClearRegion              = 0x92
    ERAPI_SetTextColor             = 0x98
    ERAPI_DrawText                 = 0x99
    ERAPI_SetTextSize              = 0x9A

    ; RST 8
    ERAPI_Exit                     = 0x00
    ERAPI_PlaySoundSystem          = 0x05

    ;--------------------------;
    ; Nintendo e-Reader - Keys ;
    ;--------------------------;

    ERAPI_KEY_A      = 0x0001
    ERAPI_KEY_B      = 0x0002
    ERAPI_KEY_SELECT = 0x0004
    ERAPI_KEY_START  = 0x0008
    ERAPI_KEY_RIGHT  = 0x0010
    ERAPI_KEY_LEFT   = 0x0020
    ERAPI_KEY_UP     = 0x0040
    ERAPI_KEY_DOWN   = 0x0080
    ERAPI_KEY_R      = 0x0100
    ERAPI_KEY_L      = 0x0200
